Please whitelist cPanel in your adblocker so that you’re able to see our version release promotions, thanks!

The Community Forums

Interact with an entire community of cPanel & WHM users!

[checkperlmodules] The perl module Encode::Detect::Detector could not be installed.

Discussion in 'General Discussion' started by pcsousa, May 20, 2008.

  1. pcsousa

    pcsousa Well-Known Member

    Joined:
    May 28, 2004
    Messages:
    63
    Likes Received:
    0
    Trophy Points:
    156
    Hello. This is reaching my root email almost every (not every day... strange) from 1 month or something to now.
    This is happening for 2 cPanel servers we own.
    So you know how to solve this issue? I've already tried /scripts/realperlinstaller Encode::Detect::Detector and error again.

    I can not find nothing on this issue at the forum.

    I appreciate any kind of help.

    Regards.
     
  2. pcsousa

    pcsousa Well-Known Member

    Joined:
    May 28, 2004
    Messages:
    63
    Likes Received:
    0
    Trophy Points:
    156
    Nobody with this issue?!?!
     
  3. kran

    kran Well-Known Member

    Joined:
    Jul 5, 2003
    Messages:
    74
    Likes Received:
    0
    Trophy Points:
    156
    Location:
    Colombia
    cPanel Access Level:
    Root Administrator
    Same problem Here...

    Test Run
    ==============
    Can't locate Encode/Detect/Detector.pm in @INC (@INC contains: /usr/lib/perl5/5.8.8/i686-linux /usr/lib/perl5/5.8.8 /usr/lib/perl5/site_perl/5.8.8/i686-linux /usr/lib/perl5/site_perl/5.8.8 /usr/lib/perl5/site_perl/5.8.7/i686-linux /usr/lib/perl5/site_perl/5.8.7 /usr/lib/perl5/site_perl/5.8.6/i686-linux /usr/lib/perl5/site_perl/5.8.6 /usr/lib/perl5/site_perl/5.8.0 /usr/lib/perl5/site_perl/5.6.2 /usr/lib/perl5/site_perl .) at - line 1.
    BEGIN failed--compilation aborted at - line 1.
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  4. keifer27

    keifer27 Registered

    Joined:
    May 11, 2008
    Messages:
    1
    Likes Received:
    0
    Trophy Points:
    51
    I'm not getting that one, I am getting:

    [checkperlmodules] The perl module SVG::TT::Graph could not be installed.
     
  5. mctDarren

    mctDarren Well-Known Member

    Joined:
    Jan 6, 2004
    Messages:
    664
    Likes Received:
    3
    Trophy Points:
    168
    Location:
    New Jersey
    cPanel Access Level:
    Root Administrator
    What version of Perl is installed?
     
  6. worried

    worried Registered

    Joined:
    Dec 14, 2005
    Messages:
    1
    Likes Received:
    0
    Trophy Points:
    151
    This is all due to a problem with gcc 3, and the perl module. To fix, do this:

    Code:
    wget http://search.cpan.org/CPAN/authors/id/J/JG/JGMYERS/Encode-Detect-1.00.tar.gz
    tar -xzf Encode-Detect-1.00.tar.gz
    cd Encode-Detect-1.00
    wget http://mikey.ws/cp/encode-detect.patch
    patch < encode-detect.patch
    perl Makefile.PL
    ./Build
    make
    make install
     
    #6 worried, May 22, 2008
    Last edited: May 22, 2008
  7. pcsousa

    pcsousa Well-Known Member

    Joined:
    May 28, 2004
    Messages:
    63
    Likes Received:
    0
    Trophy Points:
    156
    it seems to work.

    thank you.
     
  8. gongpro

    gongpro Member

    Joined:
    Jul 6, 2004
    Messages:
    12
    Likes Received:
    0
    Trophy Points:
    151
    Location:
    USA
    cPanel Access Level:
    Root Administrator
    error after make

    After make, I get an error:

    error building lib/Encode/Detect/Detector.o from 'lib/Encode/Detect/Detector.c' at /usr/lib/perl5/site_perl/5.8.8/ExtUtils/CBuilder/Base.pm line 110.
    make: *** [all] Error 2
     
Loading...

Share This Page

  1. This site uses cookies to help personalise content, tailor your experience and to keep you logged in if you register.
    By continuing to use this site, you are consenting to our use of cookies.
    Dismiss Notice